Subject: Re: gettimeofday scalability

From: Ingo Molnar <[email-masked]>
Date: Tue, 5 Oct 2004 21:18:58 +0200

* [email-masked] <[email-masked]> wrote:

> In particular I was wondering about reducing the overhead of
> calling do_gettimeofday.

> 2.6.8.1 uses seqlock, which contains the comment that it's not as
> cache friendly as brlock.

that comment is way too modest! Seqlocks are very cache-friendly in the
read path. There is no reason to use brlocks anymore for fixed-frequency
writers like the timer seqlock. (writers can starve seqlock readers but
in the timer case the writers occur only once every 1 msec.)

so please benchmark 2.6, it should scale linearly in this area.

	Ingo